Skip to main content
GET
Fetch quality result [testing]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

submission_id
string
required

Response

Asynchronous processing finished (either with a success or an error). Result of the processing is described by specific response object.

status
enum<string>
required
Available options:
SUCCESS
analysis_time
string
required

Timestamp of analysis

file_type
enum<string>
required

General type of the input file

Available options:
unsupported,
pdf,
image
mime_type
string
required

Mime type of the input file, e.g. application/pdf, image/jpeg, etc.

Maximum string length: 256
deployment_version
string
required

Version of quality engine used for analysis

Maximum string length: 256
query_id
string | null
required

Optional customer-defined identifier for correlating this submission with internal systems. Must not contain PII.

Maximum string length: 2048
sha256
string
required

Sha256 of the input file

Required string length: 64
score
enum<string>
required

Overall quality score for the analyzed document. LOW_QUALITY indicates quality issues were detected. HIGH_QUALITY indicates no quality issues were found.

Available options:
HIGH_QUALITY,
LOW_QUALITY,
NOT_RELEVANT_DOCUMENT
sample_metadata
File metadata · object
required

Metadata extracted from the analyzed file, such as creation date and software used to create the file.

indicators
Quality indicator · object[]
required

Detailed information about detected quality issues.